Fórum Root.cz

Hlavní témata => Software => Téma založeno: Fred 11. 03. 2010, 19:54:57

Název: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: Fred 11. 03. 2010, 19:54:57
Zinštaloval som VMware player v3 do Ubuntu Studio v.9.10 nasledujúcim postupom:
sudo aptitude install build-essential linux-headers-2.6.31-9-rt
gksudo bash ./VMware-Player-3.0.1-227600.i386.bundle
a v grafickom móde vo "VMware Player Installer" urobená inštalácia s výsledkom: Installation was successful.
Na konci sa v menu "System Tools" sa objaví nová položka "VMware Player".

Keď však toto spustím, zobrazí sa hláška: Before you can run VMware, several modules must be compiled and loaded into the running kernel.
Po potvrdení cez [Install] sa zobrazí dialog "VMware kernel module updater", kde štartujú:
- Virtual machine monitor (nabehne=OK)
- Virtual network device (nenabehne - !)
- VMware blocking filesystem (nabehne=OK)
- Virtual machine communication interface (nenabehne - !)
- VMCI sockets (nenabehne - !)

a na konci hláška: Unable to start services. See log file /tmp/vmware-root/setup-4869.log

pričom v log súbore je:
Mar 11 19:28:07.112: app-3078272704| Your GCC version: 4.4
...
Mar 11 19:28:07.221: app-3078272704| Trying to find a suitable PBM set for kernel 2.6.31-9-rt.
...
Mar 11 19:28:07.907: app-3078272704| Building module vmmon.
Mar 11 19:28:07.907: app-3078272704| Extracting the sources of the vmmon module.
Mar 11 19:28:07.928: app-3078272704| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1$
Mar 11 19:28:15.417: app-3078272704| Installing module vmmon from /tmp/vmware-root/modules/vmmon.o.
Mar 11 19:28:15.418: app-3078272704| Registering file: /usr/lib/vmware-installer/1.1/vmware-installer --register-file vmware-player-app regular $
...
Mar 11 19:28:17.973: app-3078272704| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmnet-only auto-build SUPPORT_SMP=1$
Mar 11 19:28:23.023: app-3078272704| Failed to compile module vmnet!
Mar 11 19:28:23.034: app-3078272704| Trying to find a suitable PBM set for kernel 2.6.31-9-rt.
Mar 11 19:28:23.035: app-3078272704| Building module vmblock.
...
Mar 11 19:28:31.646: app-3078272704| Trying to find a suitable PBM set for kernel 2.6.31-9-rt.
Mar 11 19:28:31.647: app-3078272704| Building module vmci.
Mar 11 19:28:31.647: app-3078272704| Extracting the sources of the vmci module.
Mar 11 19:28:31.664: app-3078272704| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmci-only auto-build SUPPORT_SMP=1 $
Mar 11 19:28:32.728: app-3078272704| Failed to compile module vmci!


Čo s tým? Pomôže niekto? (Som začiatočník)

vďaka za každú rozumnú a zrozumiteľnú radu.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: Lola Phirel 12. 03. 2010, 02:05:21
Nenasel jsem jadro, primo z distra, ktere by mi sedelo, osobne jsem pri opakovanych pokusech o virtualizaci VZDY stahnul cele zdroje jadra, a zkompiloval si svoje vlastni. Ze zvyku delam jadro monoliticke, protoze nerad se jebu s initrd, jednak prave kvuli modulum typu VMW nesnasim vypisy na tri obrazovky.

Osobne mam radeji starsi jadra, nez "cutting edge", uz jsem nekolikrat mel pripad, ze jak OS, tak VM behala treba lip na 2.6.16, nez na 2.6.26.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: xmike1 12. 03. 2010, 07:40:40
zkus tohle:
http://blog.mymediasystem.net/uncategorized/vmware-server-2-0-1-installation-howto-for-karmic-koala-x86_64/
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: pepazdepa 12. 03. 2010, 14:51:06
sudo aptitude install build-essential linux-headers-2.6.31-9-rt

a toto jsou headers pro tvuj momentalne bezici kernel?

uname -r # ukaze co bezi za kernel
dpkg -l | grep linux-headers # ukaze co mas za balicek
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 12. 03. 2010, 14:56:35
@pepazdepa: príkaz:
Kód: [Vybrat]
uname -r mi ukazuje:
Kód: [Vybrat]
2.6.31-9-rt, takže to je asi verzia kernelu v distre Ubuntu Studio 9.10, ktoré mám zinštalované.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 15. 03. 2010, 11:46:51
pôvodne zinštalovaný "VMware-Player-3.0.1" som odinštaloval a potom zinštaloval staršiu verziu "VMware Player ver.2.5.3".
Predtým vykonaný odporúčaný postup cez:
Kód: [Vybrat]
sudo apt-get install build-essential linux-headers-`uname -r`čo mi ale (samozrejme) vypísalo: build-essential is already the newest version. linux-headers-2.6.31-9-rt is already the newest version. 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Takže úspešne zinštalovaná staršia verzia player-a, no po spustení sa dialo to isté ako pri verzii 3. Nepodarilo sa štartnúť VMware servis (problém vo "Virtual Network Device", "Virtual machine communication interface" a "VMCI sockets".

Zaujímavé, že keď som to zopakoval niekoľko krát dookola, zrazu to (VMware Player) nabehlo.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 15. 03. 2010, 11:50:46
takže staršia verzia VMware Player-a (2.5.3) nabehne.
Dokonca sa podarilo aj pripojiť a štartnúť aj hotový virtuálny stroj (*.vmx).

Akurát, že v tejto staršej verzii nie je možne virtuálnu mašinu vytvoriť, na rozdiel od verzie 3, čo mi zatiaľ dosť chýba (a zdržuje v práci).
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: xmike1 15. 03. 2010, 16:55:15
Uz jsem ti to psal vyse, koukni na link ohledne vmware server instalace, je tam patch, kterym zkompilujes vsechny tri vmxxx.o
testovano na nekolika vmware serverech a lidi v diskuzi tvrdili, ze to funguje i na vmware player, tak snad.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 17. 03. 2010, 11:32:32
@xmike1: dík za link, ale tam sa to "točí" okolo VMware Servra a to ešte vo verzii 3. Zatiaľ mi to nepomohlo.

Tak som teda VMware Player ver.3 z Ubuntu (Studio 9.10) odinštaloval:
Kód: [Vybrat]
sudo bash vmware-installer --uninstall-product vmware-playera skúsil som zinštalovať predchádzajúcu verziu (ver.2.5.3). Inštalácia prebehla rovnako bez problémov.
Pri štarte "VMware Player" to takisto vypisovalo, že potrebuje najprv zinštalovať niektoré moduly a potom nevedel štartnúť niektoré časti (Virtual Network Device, Virtual machine communication interface, VMCI sockets) a takisto nevedel štartnúť "VMware services".

Čo je zaujímavé, že po niekoľko násobnom zopakovaní štartu, nakoniec "VMware Player" odštartoval (hoci ten servis štartnutý nebol (podľa hlášky)).

Vo verzii 2.5.3 VMware Player-a však nie je možné vytvárať virtuálne stroje, iba spúšťať už existujúce, čo ma dosť limituje.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: xmike1 17. 03. 2010, 14:24:36
kdyz to tak ctu, obvykle se po instalaci musi spustit vmware-config.pl. Nevim jak je to u balicky z repozitory protoze vzdycky taham aktualni vmware z ofiko stranek, ale zkus, jestli tam ten spoustec nemas.
vmware-config.pl
Ja ho mam v /usr/bin/vmware-config.pl
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 17. 03. 2010, 14:31:25
kdyz to tak ctu, obvykle se po instalaci musi spustit vmware-config.pl. Nevim jak je to u balicky z repozitory protoze vzdycky taham aktualni vmware z ofiko stranek, ale zkus, jestli tam ten spoustec nemas.
vmware-config.pl
Ja ho mam v /usr/bin/vmware-config.pl

inštalačka je tiež stiahnutá priamo z vmware.com, je to jeden súbor: VMware-Player-3.0.1-227600.i386.bundle
a inštalujem ho cez:
Kód: [Vybrat]
gksudo bash ./VMware-Player-3.0.1-227600.i386.bundlespustiť ho chcem cez "System Tools - VMware Player" menu
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 01. 04. 2010, 09:22:17
priatelia,
vďaka tomu, že žiadna z rád, ktoré sa tu objavili (a naozaj nič zrozumiteľné som nenašiel ani na nete), vy***al som sa na "VMware Player v3" a stiahol si Sun-ovský "VirtualBox v.3.1.6", pridal do zdrojov SW riadok:
Kód: [Vybrat]
deb http://download.virtualbox.org/virtualbox/debian karmic non-freepridal Sun signaturu cez:
Kód: [Vybrat]
sudo apt-key add sun_vbox.asca nakoniec spustil inštaláciu:
Kód: [Vybrat]
sudo apt-get install virtualbox-3.1Jediný problém bol, že sa v menu "System Tools" neobjavila položka "Sun VirtualBox" hneď po inštalácii ale bolo potrebné urobiť nejaké "čachre" v MainMenu utilite.
Sun-ovský "VirtualBox" zdá sa funguje.
Na úvod vytvoril jeden virtual a zinštaloval v ňom KUbuntu v.9.10. Otestujem, uvidím výsledky.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 06. 04. 2010, 13:43:34
vážení,
tak odporúčam na virtualizáciu pod Ubuntu použiť Sun-ovský "VirtualBox". Konkrétne pod Ubuntu (Studio) 9.10 ide verzia VirtualBox-u 3.1.6 bez akýchkoľvek problémov (sieť, myš, zvuk, zdieľanie adresárov).
Oskúšané na virtualizovanom Kubuntu 9.10 a Windows XP Professional+SP3.

PS: Dokonca mám taký pocit, že WinXP ako keby ešte rýchlejšie naboot-oval ako virtuál než ako keď bol ako fyzický stroj. Viem znie to veľmi nepravdepodobne (a laicky) ale fakt sa mi to zdá.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: FredFlinstone 08. 04. 2010, 20:50:04
ešte by som k použitiu "Sun VirtualBox-u" odporúčal celkom dobrý popis a návody na:
http://www.linuxos.sk/clanok/262/index.html (http://www.linuxos.sk/clanok/262/index.html)
je to síce pre staršiu verziu, ale v podstate väčšina z toho stále platí.
Název: Re: Ubuntu 9.10 a nefunkční VMware Player v3
Přispěvatel: MalyTomi 08. 04. 2010, 22:41:03
ano, vo virtuale startuje rychlejsie. ja mam odskusane na ubuntu 9.10, virtualbox v nom xp sp3 bez problemov programujem v delphi, dokonca aj debugger funguje (vo vb 2.5 mi debugger padal do bsod).